package com.jsf.modelos;
// Generated 12-20-2019 09:25:14 AM by Hibernate Tools 5.2.12.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Actividades generated by hbm2java
 */
@Entity
@Table(name = "actividades", catalog = "actividades")
public class Actividades implements java.io.Serializable {

	private Integer idAct;
	private Estado estado;
	private Fases fases;
	private Usuario usuario;
	private String descripcion;
	private String dia;

	public Actividades() {
	}

	public Actividades(Estado estado, Fases fases, Usuario usuario, String descripcion, String dia) {
		this.estado = estado;
		this.fases = fases;
		this.usuario = usuario;
		this.descripcion = descripcion;
		this.dia = dia;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_act", unique = true, nullable = false)
	public Integer getIdAct() {
		return this.idAct;
	}

	public void setIdAct(Integer idAct) {
		this.idAct = idAct;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_estados")
	public Estado getEstado() {
		return this.estado;
	}

	public void setEstado(Estado estado) {
		this.estado = estado;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_faces")
	public Fases getFases() {
		return this.fases;
	}

	public void setFases(Fases fases) {
		this.fases = fases;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_usuario")
	public Usuario getUsuario() {
		return this.usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	@Column(name = "descripcion", length = 250)
	public String getDescripcion() {
		return this.descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	@Column(name = "dia", length = 250)
	public String getDia() {
		return this.dia;
	}

	public void setDia(String dia) {
		this.dia = dia;
	}

}
